Status: Open

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:3.2.3 Regression?: No

Operating System: Windows Server 2016 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27788

Description

I have a project with Cyrillic attributes and label values. It works perfect in QGIS Desktop.

But it seems not working in QGIS Server. There are empty squares instead letters in labels. Rule-based labeling also doesn't work.

I've already tried what I could. I've changed system encoding, I've changed encoding in Apache config. Nothing helps me.

History

#1 - 2018-09-27 11:33 AM - Giovanni Manghi

- Category changed from Labelling to QGIS Server

#2 - 2018-09-28 05:21 PM - Alessandro Pasotti

Try setting QT_QPA_FONTDIR env var to a folder that contains your fonts, for instance: /usr/share/fonts/truetype/

#3 - 2018-10-01 09:56 AM - Alexander Novikov

Alessandro Pasotti wrote:

Try setting QT_QPA_FONTDIR env var to a folder that contains your fonts, for instance: /usr/share/fonts/truetype/

Unfortunately it doesn't help me.

I should add that latin symbols work perfectly. My server is run under Windows Server 2016.

#4 - 2018-10-06 10:12 AM - Alessandro Pasotti

- Operating System set to Windows Server 2016
